<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\StatShowroom
 *
 * @property int $id
 * @property string $showroom_id 展厅ID
 * @property string $user_id 用户ID
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom newQuery()
 * @method static \Illuminate\Database\Query\Builder|StatShowroom onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom query()
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom whereShowroomId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|StatShowroom whereUserId($value)
 * @method static \Illuminate\Database\Query\Builder|StatShowroom withTrashed()
 * @method static \Illuminate\Database\Query\Builder|StatShowroom withoutTrashed()
 * @mixin \Eloquent
 * @property-read \App\Models\Showroom|null $showroom
 * @property-read \App\Models\User|null $user
 */
class StatShowroom extends Model
{
	use HasDateTimeFormatter;
    use SoftDeletes;

    protected $table = 'stat_showrooms';

    public function showroom(): BelongsTo
    {
        return $this->belongsTo(Showroom::class,'showroom_id');
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(user::class,'user_id');
    }

}
